<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div class="ui main container" th:fragment="page">
    <h2 class="ui header">
      <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_AREAS}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
      <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_AREAS}}"></span>
    </h2>
    <br />
    <div th:if="${not #lists.isEmpty(areas)}">
      <table class="ui table" id="areas" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
        <thead>
          <tr>
            <th scope="col" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ABBREVIATION}}"></th>
            <th scope="col" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}"></th>
          </tr>
        </thead>
        <tbody>
          <tr th:each="area: ${areas}">
            <td>
            	<a sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_AREAS_UPDATE)" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_AREAS_UPDATE} + '/' + ${area.id}}" th:text="${area.abbreviation}"></a>
            	<span sec:authorize="not hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_AREAS_UPDATE)" th:text="${area.abbreviation}"></span>
           	</td>
            <td th:text="${area.name}"></td>
          </tr>
        </tbody>
      </table>
    </div>
    <br />
    <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_AREAS_CREATE)"
    		th:replace="common/fragments/form :: actionbuttons(icon1 = null,
                                                               icon1text = null,
                                                               icon1url = null,
                                                               icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW},
                                                               icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NEW},
                                                               icon2url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_AREAS_CREATE},
                                                               )" />
  </div>
</body>
</html>
